

set noparametric
#set nohidden
set nosurface
set contour
set cntrparam levels 5
set view 0,0


set title "Gauss-Gauss-Gauss-Gauss"
splot "H123.dat" t "H1+H2+H3+H4" with lines
pause -1 "<cr> for next plot"

set title "Edges of Neural Network Decision Surfaces"
splot "NnH123.dat" t "H1+H2+H3+H4 Decision Surface Edges" with lines
pause -1 "<cr> for next plot"

set title "Edges of Neural Network Decision Surfaces and H1+H2+H3+H4"
splot "H123.dat" t "H1+H2+H3+H4" with lines, \
	"NnH123.dat" t "H1+H2+H3+H4 Decision Surface Edges" with lines
pause -1 "<cr> for next plot"

set surface
set view 70,10
splot "H123.dat" t "H1+H2+H3+H4" with lines, \
	"NnH123.dat" t "H1+H2+H3+H4 Decision Surface Edges" with lines
pause -1 "<cr> for next plot"


#set nohidden
set surface
set nocontour
set view 20,10
set nokey
splot "Composite.dat" with lines
pause -1 "<cr> for next plot"


quit
