
# This command file illustrates some features
# of the MIGRAINES user interface.

# This program extracts some weights of the simple network 
# for plotting 

# load the network
load simple.Finished

# goto weights from input
push ABCD
push ABCD:H
push $INPUTS->ABCD:H

# write to file for gnuplot 3.0
popenWeights 0 0 Weights am2gnuplot > weights00.pdat
pclose Weights
popenWeights 0 1 Weights am2gnuplot > weights01.pdat
pclose Weights
popenWeights 1 0 Weights am2gnuplot > weights10.pdat
pclose Weights
popenWeights 1 1 Weights am2gnuplot > weights11.pdat
pclose Weights

# if you have mathematica, uncomment this...
# (you may need to edit $NNTOOLS/contrib/Mathematica/MathPlot3D
#  so it can find Mathematica)
# popenWeights 0 0 Weights $NNTOOLS/contrib/Mathematica/MathPlot3D
# pclose Weights
# popenWeights 0 1 Weights $NNTOOLS/contrib/Mathematica/MathPlot3D
# pclose Weights
# popenWeights 1 0 Weights $NNTOOLS/contrib/Mathematica/MathPlot3D
# pclose Weights
# popenWeights 1 1 Weights $NNTOOLS/contrib/Mathematica/MathPlot3D
# pclose Weights


quit

