/* 

  ****************   NO WARRANTY  *****************

Since the Aspirin/MIGRAINES system is licensed free of charge,
Russell Leighton and the MITRE Corporation provide absolutley 
no warranty. Should the Aspirin/MIGRAINES system prove defective, 
you must assume the cost of all necessary servicing, repair or correction.
In no way will Russell Leighton or the MITRE Corporation be liable to you for
damages, including any lost profits, lost monies, or other
special, incidental or consequential damages arising out of
the use or inability to use the Aspirin/MIGRAINES system.

  *****************   COPYRIGHT  *******************

This software is the copyright of Russell Leighton and the MITRE Corporation. 
It may be freely used and modified for research and development
purposes. We require a brief acknowledgement in any research
paper or other publication where this software has made a significant
contribution. If you wish to use it for commercial gain you must contact 
The MITRE Corporation for conditions of use. Russell Leighton and 
the MITRE Corporation provide absolutely NO WARRANTY for this software.

   August, 1992 
   Russell Leighton
   The MITRE Corporation
   7525 Colshire Dr.
   McLean, Va. 22102-3481

*/
#include "aspirin.h"
#include "bp_constants.h"

/*** static/dynamic black boxes ***/
#define BBCALC_CREDIT(code) ( (code == BBDYNAMIC) || (code == BBSTATIC_DEPEND) )
#define BBUPDATE_WEIGHTS(code) ( (code == BBDYNAMIC ) )

/*** io ***/
#define  GenCode printf

/*** GLOBALS ***/
extern FILE *stream;           /* pointer to file stream */

extern ND_PTR network;         /* pointer to parse graph */

extern int interface;          /* TRUE if want generic network functions */

extern int biasdfdt;           /* TRUE to bias derivative */
extern float dfdtbias;         /* the bias itself */

extern float bpthreshold;      /* used with max_error on backprop */


 




